const express = require('express');
const bodyParser = require('body-parser');
const cors = require('cors');
const { mongoose } = require('./db.js');
var dokterController = require('./controllers/doktersController.js');
var pasiensController = require('./controllers/pasiensController');
var obatsController = require('./controllers/obatController');
var app = express();
app.use(bodyParser.json());
app.use(cors({ origin: 'http://localhost:4200' }));
app.listen(8888, () => console.log('server started at port : 8888'));
app.use('/dokters', dokterController);
app.use('/pasiens', pasiensController);
app.use('/obats',obatsController);
